View Issue Details

IDProjectCategoryView StatusLast Update
0007340VALENTINA SERVEROtherpublic2015-11-20 07:44
Reporteryuriy_velichkoAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version6.1 
Target VersionFixed in Version6.2 
Summary0007340: Crash on working with notifications
DescriptionParticipants:
VServer 6.0.13 on MacOS (builded from branch feature/vstudio_support_notification_channels )
VStudio 6.1 (VS1) on MacOS (builded from hotfix - notification not suported)
VStudio 6.1 (VS2) on Win8 (builded from eature/vstudio_support_notification_channels)

All steps for VS1 performs in the SQL Editor.
All steps for VS2 performs via VKernel API of FBL::I_NotificationCenter_Ptr

Here I'll describe steps and their result:

STEP 1 -> VS1: SUBSCRIBE CHANNEL 'ch1'
STEP 2 -> VS2: notificationCenter->Subscribe( 'ch1' )
STEP 3 -> VS1: NOTIFY CHANNEL 'ch1' WITH 'test1'
       -> VS2: notification received
STEP 4 -> Wait 10-15 minutes
STEP 5 -> VS1: NOTIFY CHANNEL 'ch1' WITH 'test1'
       -> Server crashes with log message:
          Signal SIGABRT
          Wed Nov 18 2015 10:56:29.214139 (TID 123145304526848): Shutting down server...
TagsNo tags attached.

Activities

yuriy_velichko

yuriy_velichko

2015-11-18 15:49

developer  

vserver_x64_2015-11-18-174716_Yuriys-Mac-mini.crash (52,489 bytes)
yuriy_velichko

yuriy_velichko

2015-11-19 10:58

developer  

vserver_x64_20151119_123507.log (141,979 bytes)

Issue History

Date Modified Username Field Change
2015-11-18 09:38 yuriy_velichko New Issue
2015-11-18 09:38 yuriy_velichko Status new => assigned
2015-11-18 09:38 yuriy_velichko Assigned To => Ivan Smahin
2015-11-18 15:49 yuriy_velichko File Added: vserver_x64_2015-11-18-174716_Yuriys-Mac-mini.crash
2015-11-19 10:28 Ruslan Zasukhin Summary Crash on working with notificztions => Crash on working with notifications
2015-11-19 10:58 yuriy_velichko File Added: vserver_x64_20151119_123507.log
2015-11-20 07:44 Ivan Smahin Status assigned => resolved
2015-11-20 07:44 Ivan Smahin Fixed in Version => 6.2
2015-11-20 07:44 Ivan Smahin Resolution open => fixed